#include<bits/stdc++.h>
#define ll long long
using namespace std;
int main(){
ios::sync_with_stdio(0);
cin.tie(0);
int n;
cin >> n;
double a[n], p[n],mx,zbir,prosek;
mx = 0;
zbir = 0;
for(int i=0;i<n;++i){
    cin >> a[i] >> p[i];
}
for (int i = 0; i < n-1; i++){
    for (int j = 0; j < n-i-1; j++){
        if (p[j] > p[j+1]){
            swap(p[j], p[j+1]);
            swap(a[j], a[j+1]);
        }
    }
}
for(int i=0;i<n;++i){
        for(int j=i;j<n;++j){
        zbir+=a[j];
    }
    prosek = zbir * (p[i]/100);
    mx = max(mx,prosek);
    zbir = 0;
    prosek = 0;
}
cout << setprecision(4) << fixed << mx << "\n";
return 0;
}